Bug 1120888 - python-flask-wtf 0.9.5 is not compatible with python-wtforms 2.0
Summary: python-flask-wtf 0.9.5 is not compatible with python-wtforms 2.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-flask-wtf
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Praveen Kumar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 22:40 UTC by Tim Flink
Modified: 2014-08-15 02:40 UTC (History)
5 users (show)

Fixed In Version: python-flask-wtf-0.10.0-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-15 02:35:06 UTC


Attachments (Terms of Use)

Description Tim Flink 2014-07-17 22:40:20 UTC
According to the upstream documentation, compatibility for wtforms>=2.0 was not added to Flask_WTF until after the 0.9.5 release - 0.10.0 was the first release to support wtforms>=2.0.

That being said, the current versions of the two packages in fedora (19, 20, 21, rawhide) are:
 - python-flask-wtf-0.9.5-1
 - python-wtforms-2.0

When I attempt to run an application using python-flask-wtf and python-wtforms using the above versions, I get:

pkg_resources.VersionConflict: (WTForms 2.0 (/usr/lib/python2.7/site-packages), Requirement.parse('WTForms>=1.0.5,<2.0'))


These should not have been built and pushed together. The only reason that the build succeeded is that python-wtforms-2.0-1 was not in stable at the time that python-flask-wtf-0.9.5-1 was built.

Since both builds have been pushed to stable for all fedora releases, I don't see a way out of this but to upgrade python-flask-wtf to 0.10.0 which was released 2 days ago. There don't appear to be any API changes that weren't introduced with 0.9.5, so the breakage risk should be rather low.

Comment 1 Tim Flink 2014-07-17 23:22:59 UTC
(In reply to Tim Flink from comment #0)
> These should not have been built and pushed together. The only reason that
> the build succeeded is that python-wtforms-2.0-1 was not in stable at the
> time that python-flask-wtf-0.9.5-1 was built.

This isn't quite right - it couldn't have been caught at build time because there is no %check. I've updated the specfile in git and have submitted new builds. There will be updates for the new builds shortly.

Comment 2 Fedora Update System 2014-07-18 02:55:17 UTC
python-flask-wtf-0.10.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-flask-wtf-0.10.0-2.fc20

Comment 3 Fedora Update System 2014-07-18 03:30:15 UTC
python-flask-wtf-0.10.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-flask-wtf-0.10.0-3.fc19

Comment 4 Fedora Update System 2014-07-19 05:55:32 UTC
Package python-flask-wtf-0.10.0-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-flask-wtf-0.10.0-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8463/python-flask-wtf-0.10.0-3.fc19
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-08-15 02:35:06 UTC
python-flask-wtf-0.10.0-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-08-15 02:40:54 UTC
python-flask-wtf-0.10.0-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.